//Day 1:  Review 1

#include <stdio.h>
#include <omp.h>

int main(int argc, char* argv[]){

	int n = 10, x = 0;
	int a[n], b[n], i, j;
	
	int num_threads = omp_get_max_threads();
	printf("Threads: %d\n", num_threads);
	
	#pragma omp parallel 
	{
		#pragma omp for 
		for(i = 0; i < n; i++)
			a[i] = i + n;
		
		#pragma omp critical
		x = x + n;
			
		#pragma omp for
		for(i = 0; i < n; i++)
			b[i] = a[i] + x;
		
	}
	
	printf("a: ");
	for(i = 0; i < n; i++){
		printf("%d ", a[i]);
	}
	
	printf("\nb: ");
	for(i = 0; i < n; i++){
		printf("%d ", b[i]);
	}
	printf("\n");
		
	return 0;
}
