//Day 1:  Review 2

#include <stdio.h>
#include <omp.h>

int main(int argc, char* argv[]){

	int n = 10, x = 0;
	int a[n], b[n], i, j;
	
	int num_threads = omp_get_max_threads();
	printf("Threads: %d\n", num_threads);
	
	#pragma omp parallel 
	{
		#pragma omp for nowait
		for(i = 0; i < n; i++){
			a[i] = i + n;
			x = x + a[i];
		}
		
		#pragma omp single nowait
		b[0] = n*2;
			
		#pragma omp for
		for(i = 1; i < n; i++)
			b[i] = a[i] + x;
		
	}
	
	printf("a: ");
	for(i = 0; i < n; i++){
		printf("%d ", a[i]);
	}
	
	printf("\nb: ");
	for(i = 0; i < n; i++){
		printf("%d ", b[i]);
	}
		
	printf("\n");
	return 0;
}
